/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2009-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2016                                                **
**  TU Dresden, Zentrum fuer Informationsdienste und Hochleistungsrechnen  **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


/**
 * @file
 *
 * Implements the representation and analysis of library dependencies
 */

#include "config.h"

#include <iostream>
#include <stdlib.h>
#include <cstring>

#include <cubegui_config.hpp>

#include <cubegui_config_data.hpp>
using namespace std;

#include <cubegui_config_library_dependencies_frontend_inc.hpp>

cubegui_config_data*
cubegui_config_get_frontend_data( void )
{
    static cubegui_config_data data;

    data.m_qmake                 = "/opt/eb/software/Compiler/GCCcore/6.4.0/Qt5/5.10.0/bin/qmake";
    data.m_moc                   = "/opt/eb/software/Compiler/GCCcore/6.4.0/Qt5/5.10.0/bin/moc";
    data.m_uic                   = "/opt/eb/software/Compiler/GCCcore/6.4.0/Qt5/5.10.0/bin/uic";
    data.m_rcc                   = "/opt/eb/software/Compiler/GCCcore/6.4.0/Qt5/5.10.0/bin/rcc";
    data.m_cubelib_config        = "intern";
    data.m_cc                    = "gcc";
    data.m_cxx                   = "g++ -std=c++11";
    data.m_cppflags              = "-I/home/builder/builder/swat/builds/ByzjsFMR/0/perftools/addons/cube/supplements/bundle/CubeBundle-/vpath/_install/include/cubegui";
    data.m_incldir               = "/home/builder/builder/swat/builds/ByzjsFMR/0/perftools/addons/cube/supplements/bundle/CubeBundle-/vpath/_install/include/cubegui";
    data.m_use_rpath_flag        = 1;
    data.m_rpath_flag_cc         = "$wl-rpath $wl$libdir";
    data.m_wl_flag               = "-Wl,";
    data.m_aix_libpath           = "";
    data.m_sys_lib_dlsearch_path = "/lib /usr/lib /usr/local/lib /lib/x86_64-linux-gnu /usr/lib/x86_64-linux-gnu ";

    deque < string > libs;
    deque < string > ldflags;
    deque < string > rpaths;
    deque < string > dependency_las;

    /* cubegui_config_library_dependencies_frontend_inc.hpp is
       generated by build-config/common/generate-library-dependency.sh */
    add_library_dependencies_frontend( libs, ldflags, rpaths, dependency_las, &data.m_la_objects );

    data.prepare_rpath_flags();

    return &data;
}
